Bug 1390750

Summary: fedora-repos and fedora-release need updating for Fedora 25 final
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: fedora-releaseAssignee: Dennis Gilmore <dennis>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: awilliam, dennis, jdisnard, kevin, mboddu, pbrobinson, robatino, sgallagh, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedBlocker
Fixed In Version: fedora-release-25-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-05 19:06:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1277289    

Description Dennis Gilmore 2016-11-01 20:13:28 UTC
need to have the final release configuration set in fedora-release and
fedora-repos


Marking as an accepted blocker under the Release identification criteria as
laid out
https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Release_identification

Comment 1 Adam Williamson 2016-11-01 20:27:42 UTC
don't forget generic-release and generic-repos too, while we're at it. and we'll need a spin-kickstarts build when that settles down, i'll file another bug for that.

Comment 2 Dennis Gilmore 2016-11-01 20:42:42 UTC
there is no generic-repos but we will look at generic-release

Comment 3 Paul W. Frields 2016-11-03 15:14:12 UTC
It would be worthwhile to look at the metadata expiration on the base fedora repo.  I think it's currently commented out, thus the default is quite low (48 hours in dnf, I believe).  Is there a reason for this short expiry on a repo that doesn't change after release?

Comment 4 Dennis Gilmore 2016-11-03 15:54:30 UTC
metadata expiration in fedora repo is 7days which is supposed to tell dnf to not look for a week and it is only supposed to fetch if something changes. if dnf is not doing the right thing it is a dnf bug. there is some issues with the transition from pre release to GA where users would not see updates as they have stale fedora metadata

Comment 5 Fedora Update System 2016-11-03 17:07:56 UTC
generic-release-25-1 fedora-release-25-1 fedora-repos-25-1 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b70ad9b8e

Comment 6 Fedora Update System 2016-11-05 18:58:57 UTC
fedora-release-25-1, fedora-repos-25-1, generic-release-25-1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b70ad9b8e

Comment 7 Fedora Update System 2016-11-05 19:06:50 UTC
fedora-release-25-1, fedora-repos-25-1, generic-release-25-1 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.